Переполнение буфера в libarchive

Дата публикации:
13.07.2007
Всего просмотров:
900
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3641
CVE-2007-3644
CVE-2007-3645
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libarchive 1.x
libarchive 2.x
Уязвимые версии: libarchive версии до 2.2.4.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки разыменования нулевого указателя. Удаленный пользователь может с помощью специально сформированного архива вызвать зацикливание приложения, использующего уязвимую библиотеку.

2. Уязвимость существует из-за ошибки при обработке определенных заголовков pax расширения. Удаленный пользователь может с помощью специально сформированного архива вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: people.freebsd.org/~kientzle/libarchive/

Решение: Установите последнюю версию 2.2.4 с сайта производителя.

Ссылки: FreeBSD-SA-07:05.libarchive: Errors handling corrupt tar files in libarchive(3)

или введите имя

CAPTCHA